/** Programmname: RoboCup-Kamikaze-Client
* Klasse: ObjectPerceptionAural
* <hr>
* Diese Klasse reprsentiert eine empfangene "hear"-Nachricht
* <hr>
* @author Kamil
* @version 1.0 / 4.7.02
*/

public class ObjectPerceptionAural
{
	//Attribute
	private int time;
	private String sender;
	private String message;

	//Konstruktor
	/** @param time ein <code>int</code>-Wert der die Zeit, zu der die Nachricht empfangen wurde,reprsentiert
	 * @param sender ein <<code>String</code>, der den Sender reprsentiert
	 * @param message die eigentliche Nachricht (Typ: <code>String</code>)
	 */
	public ObjectPerceptionAural(int time, String sender, String message)
	{
		this.time=time;
		this.sender=sender;
		this.message=message;
	}

	//Operationen
	/**
	 * die Zeit, zu der die Nachricht empfangen wurde
	 * @return einen <code>int</code>-Wert
	 */
	public int time()
	{
		return time;
	}
	/**
	 * der Sender der Nachricht
	 * @return einen <code>String</code>
	 */
	public String sender()
	{
		return sender;
	}
	/**
	 * die eigentliche Nachricht
	 * @return einen <code>String</code>
	 */
	public String message()
	{
		return message;
	}
}