/** Programmname: RoboCup-Kamikaze-Client<br>
* Klasse: RoboClient<br>
* Die Startklasse des KamikazeClients<br>
* Fr einen Spieler wird der ServerListener erstellt und als Thread gestartet
* Die Visualisierung wird durch den Aufruf des ControlWindow ermglicht
* 
* @author Markus Mllerpods/Andreas Lenz
* @version 1.0 / 4.7.02
*/
class RoboClient
{
    //Aufruf:  java RoboClient teamname servername serverport
    public static void main (String[] args) {
        if (args.length != 3) {
            System.out.println("Usage : java RoboClient TEAMNAME SERVERNAME PORT");
            System.exit(1);}

	 String teamname = args[0];
	 String host = args[1];
	 int port = Integer.parseInt(args[2]);
		
     ServerListener player1 = new ServerListener(teamname,host,6000,"goalie");
     ServerListener player2 = new ServerListener(teamname,host,6000,"defense");
     ServerListener player3 = new ServerListener(teamname,host,6000,"defense");
     ServerListener player4 = new ServerListener(teamname,host,6000,"defense");
     ServerListener player5 = new ServerListener(teamname,host,6000,"defense");
     ServerListener player6 = new ServerListener(teamname,host,6000,"midfield");
     ServerListener player7 = new ServerListener(teamname,host,6000,"midfield");
     ServerListener player8 = new ServerListener(teamname,host,6000,"midfield");
     ServerListener player9 = new ServerListener(teamname,host,6000,"offense");
     ServerListener player10 = new ServerListener(teamname,host,6000,"offense");
     ServerListener player11 = new ServerListener(teamname,host,6000,"offense");

     player1.init();
     player2.init();
     player3.init();
     player4.init();
     player5.init();
     player6.init();
     player7.init();
     player8.init();
     player9.init();
     player10.init();
     player11.init();	
     player1.start();
     player2.start();
     player3.start();
     player4.start();
     player5.start();
     player6.start();
     player7.start();
     player8.start();
     player9.start();
     player10.start();
     player11.start();
    


      ControlWindow controlwindow = new ControlWindow(player1,player2,player3,player4,player5,player6,
                                                        player7,player8,player9,player10,player11);           //starte ControlWindow
      }
   }
