import java.awt.*;
import java.awt.event.*;

/** Programmname: RoboCup-Kamikaze-Client <br>
* Klasse: ControlWindow (abgeleitet von der Frame Klasse)  <br>
* Erzeugt ein WeltModellKontrollFenster
* @author Kamil
* @version 1.0 / 4.7.02
*/
public class ControlWindow extends Frame
{
        //Attribute
        // deklariere Buttons
        Button sp0;Button sp1;Button sp2;Button sp3;Button sp4;Button sp5;
        Button sp6;Button sp7;Button sp8;Button sp9;Button sp10;
        // deklariere TextFields
        static TextField txf0; static TextField txf1; static TextField txf2;
        static TextField txf3; static TextField txf4; static TextField txf5;
        static TextField txf6; static TextField txf7; static TextField txf8;
        static TextField txf9; static TextField txf10;
        // deklariere VisualWorldModels
        static VisualWorldModel vwm0; static VisualWorldModel vwm1; static VisualWorldModel vwm2;
        static VisualWorldModel vwm3; static VisualWorldModel vwm4; static VisualWorldModel vwm5;
        static VisualWorldModel vwm6; static VisualWorldModel vwm7; static VisualWorldModel vwm8;
        static VisualWorldModel vwm9; static VisualWorldModel vwm10;
        ServerListener sl1, sl2, sl3, sl4, sl5, sl6, sl7, sl8, sl9, sl10, sl11;
        //  WorldModel wM1, wM2, wM3, wM4, wM5, wM6, wM7, wM8, wM9, wM10, wM11;
        private ControlWindow cw;

        //Konstruktor
        /**
         *  erzeugt ein Weltmodellkontrollfenster, mit dem man die VisualWorldModel-Fenster aller Spieler ffnen und schlieen kann
         *  @param     sl1-sl11   Server Listener
         */
        public ControlWindow(ServerListener sl1, ServerListener sl2, ServerListener sl3,
                                        ServerListener sl4, ServerListener sl5, ServerListener sl6,
                                        ServerListener sl7, ServerListener sl8, ServerListener sl9,
                                        ServerListener sl10, ServerListener sl11 )
        {
                this.sl1 = sl1;
                this.sl2 = sl2;
                this.sl3 = sl3;
                this.sl4 = sl4;
                this.sl5 = sl5;
                this.sl6 = sl6;
                this.sl7 = sl7;
                this.sl8 = sl8;
                this.sl9 = sl9;
                this.sl10 = sl10;
                this.sl11 = sl11;
                setSize(280,304);
                setLocation(30,30);
                setLayout(null);
                setTitle("             KAMIKAZE      ");
                setResizable(false);
                //Label
                Label label = new Label(" WELTMODELLKONTROLLFENSTER ");
                label.setFont(new Font("SansSerif",Font.BOLD,14));
                Color c = new Color(0,60,255);
                label.setForeground(c);
                label.setBounds(13, 34, 260, 30);
        //Buttons
                   sp0 = new Button("Torwart (1)");
                   sp0.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp1 = new Button("Abwehr (2)");
                   sp1.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp2 = new Button("Abwehr (3)");
                   sp2.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp3 = new Button("Abwehr (4)");
                   sp3.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp4 = new Button("Abwehr (5)");
                   sp4.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp5 = new Button("Mittelfeld (6)");
                   sp5.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp6 = new Button("Mittelfeld (7)");
                   sp6.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp7 = new Button("Mittelfeld (8)");
                   sp7.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp8 = new Button("Strmer (9)");
                   sp8.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp9 = new Button("Strmer (10)");
                   sp9.setFont(new Font("SansSerif",Font.BOLD,14));
                   sp10 = new Button("Strmer (11)");
                   sp10.setFont(new Font("SansSerif",Font.BOLD,14));


                   //TextFields
                   txf0 = new TextField(); txf0.setFont(new Font("SansSerif",Font.BOLD,12)); txf0.setText("  aus  ");
                   txf1 = new TextField(); txf1.setFont(new Font("SansSerif",Font.BOLD,12)); txf1.setText("  aus  ");
                   txf2 = new TextField(); txf2.setFont(new Font("SansSerif",Font.BOLD,12)); txf2.setText("  aus  ");
                   txf3 = new TextField(); txf3.setFont(new Font("SansSerif",Font.BOLD,12)); txf3.setText("  aus  ");
                   txf4 = new TextField(); txf4.setFont(new Font("SansSerif",Font.BOLD,12)); txf4.setText("  aus  ");
                   txf5 = new TextField(); txf5.setFont(new Font("SansSerif",Font.BOLD,12)); txf5.setText("  aus  ");
                   txf6 = new TextField(); txf6.setFont(new Font("SansSerif",Font.BOLD,12)); txf6.setText("  aus  ");
                   txf7 = new TextField(); txf7.setFont(new Font("SansSerif",Font.BOLD,12)); txf7.setText("  aus  ");
                   txf8 = new TextField(); txf8.setFont(new Font("SansSerif",Font.BOLD,12)); txf8.setText("  aus  ");
                   txf9 = new TextField(); txf9.setFont(new Font("SansSerif",Font.BOLD,12)); txf9.setText("  aus  ");
                   txf10 = new TextField(); txf10.setFont(new Font("SansSerif",Font.BOLD,12)); txf10.setText("  aus  ");


                   //Positionierung
                   sp0.setBounds(30, 68, 100, 20); txf0.setBounds(185, 68, 50, 20);
                   sp1.setBounds(30, 88, 100, 20); txf1.setBounds(185, 88, 50, 20);
                   sp2.setBounds(30, 108, 100, 20); txf2.setBounds(185, 108, 50, 20);
                   sp3.setBounds(30, 128, 100, 20); txf3.setBounds(185, 128, 50, 20);
                   sp4.setBounds(30, 148, 100, 20); txf4.setBounds(185, 148, 50, 20);
                   sp5.setBounds(30, 168, 100, 20); txf5.setBounds(185, 168, 50, 20);
                   sp6.setBounds(30, 188, 100, 20); txf6.setBounds(185, 188, 50, 20);
                   sp7.setBounds(30, 208, 100, 20); txf7.setBounds(185, 208, 50, 20);
                   sp8.setBounds(30, 228, 100, 20); txf8.setBounds(185, 228, 50, 20);
                   sp9.setBounds(30, 248, 100, 20); txf9.setBounds(185, 248, 50, 20);
                   sp10.setBounds(30, 268, 100, 20); txf10.setBounds(185, 268, 50, 20);


                   add(sp0);add(txf0); add(sp1);add(txf1); add(sp2);add(txf2); add(sp3);add(txf3);
                   add(sp4);add(txf4); add(sp5);add(txf5); add(sp6);add(txf6); add(sp7);add(txf7);
                   add(sp8);add(txf8); add(sp9);add(txf9); add(sp10);add(txf10);
                   add(label);

                   setVisible(true);

                   EVcontrolwindow button = new EVcontrolwindow();
                   sp0.addActionListener(button); sp1.addActionListener(button);
                   sp2.addActionListener(button); sp3.addActionListener(button);
                   sp4.addActionListener(button); sp5.addActionListener(button);
                   sp6.addActionListener(button); sp7.addActionListener(button);
                   sp8.addActionListener(button); sp9.addActionListener(button);
                   sp10.addActionListener(button);
                }


    //EreignisVerarbeitung
    /** Klasse: EVcontrolwindow (benutzt ActionListener Klasse)  <br>
     *   Erzeugt ein Ereignisobjekt, das spter mit den Buttons gebunden wird
     *   @author Kamil
     *   @version 1.0 / 4.7.02
    */
    public class EVcontrolwindow implements ActionListener
         
       {
          //Hilfsvariablen
          int t0 = 0; int t1 = 0; int t2 = 0; int t3 = 0; int t4 = 0; int t5 = 0;
          int t6 = 0; int t7 = 0; int t8 = 0; int t9 = 0; int t10 = 0;

          /** Methode wird mit einem ActionEvent-Objekt als Argument aufgerufen, das nhere Informationen darber enthlt, <br>
          *   wo und wie die Aktion "MausKlick auf Button" erfolgt ist und mit diesem Ereignisobjekt wird dann <br>
          *   fr einen bestimmten Button ein bestimmtes VisualWorldModel-Fenster geffnet oder geschlossen
          *   @param     ev    ActionEvent
          *   @return    kein Return-Wert
          */
          public void actionPerformed(ActionEvent ev)
              {
                                        
                 String string = ev.getActionCommand();

                 //Torwart
                 if(string.equals("Torwart (1)"))
                   { 
                     if( t0 == 0)  {
                      vwm0 = new VisualWorldModel(sl1,"Torwart (1)");
                     // vwm0.setDoubleBuffered(true);
                      //vwm0.ballX = 200;
                      //wm0.ballY = 136;
                      cw.txf0.setText("  ein  ");
                      t0++;        }

                     else {
                        if( t0 == 1)  {
                      vwm0.dispose();
                      cw.txf0.setText("  aus  ");
                      t0--;           }
                          }
                   }

                 //Abwehrspieler 1
                 if(string.equals("Abwehr (2)"))
                   { 
                     if( t1 == 0)  {
                      vwm1 = new VisualWorldModel(sl2,"Abwehr (2)");
                      cw.txf1.setText("  ein  ");
                      t1++;        }

                     else {
                        if( t1 == 1)  {
                      vwm1.dispose();
                      cw.txf1.setText("  aus  ");
                      t1--;           }
                          }
                    }

                  //Abwehrspieler 2
                  if(string.equals("Abwehr (3)"))
                   { 
                     if( t2 == 0)  {
                      vwm2 = new VisualWorldModel(sl3,"Abwehr (3)");
                      cw.txf2.setText("  ein  ");
                      t2++;        }

                     else {
                        if( t2 == 1)  {
                      vwm2.dispose();
                      cw.txf2.setText("  aus  ");
                      t2--;           }
                          }
                   }

                 //Abwehrspieler 3
                 if(string.equals("Abwehr (4)"))
                   { 
                     if( t3 == 0)  {
                      vwm3 = new VisualWorldModel(sl4,"Abwehr (4)");
                      cw.txf3.setText("  ein  ");
                      t3++;        }

                     else {
                        if( t3 == 1)  {
                      vwm3.dispose();
                      cw.txf3.setText("  aus  ");
                      t3--;           }
                          }
                   }

                 //Abwehrspieler 4
                 if(string.equals("Abwehr (5)"))
                   { 
                     if( t4 == 0)  {
                      vwm4 = new VisualWorldModel(sl5,"Abwehr (5)");
                      cw.txf4.setText("  ein  ");
                      t4++;        }

                     else {
                        if( t4 == 1)  {
                      vwm4.dispose();
                      cw.txf4.setText("  aus  ");
                      t4--;           }
                          }
                   }

                  //Mittelfeld 1
                  if(string.equals("Mittelfeld (6)"))
                   { 
                     if( t5 == 0)  {
                      vwm5 = new VisualWorldModel(sl6,"Mittelfeld (6)");
                      cw.txf5.setText("  ein  ");
                      t5++;        }

                     else {
                        if( t5 == 1)  {
                      vwm5.dispose();
                      cw.txf5.setText("  aus  ");
                      t5--;           }
                          }
                   }

                   //Mittelfeld 2
                   if(string.equals("Mittelfeld (7)"))
                   { 
                     if( t6 == 0)  {
                      vwm6 = new VisualWorldModel(sl7,"Mittelfeld (7)");
                      cw.txf6.setText("  ein  ");
                      t6++;        }

                     else {
                        if( t6 == 1)  {
                      vwm6.dispose();
                      cw.txf6.setText("  aus  ");
                      t6--;           }
                          }
                   }

                   //Mittelfeld 3
                   if(string.equals("Mittelfeld (8)"))
                   { 
                     if( t7 == 0)  {
                      vwm7 = new VisualWorldModel(sl8,"Mittelfeld (8)");
                      cw.txf7.setText("  ein  ");
                      t7++;        }

                     else {
                        if( t7 == 1)  {
                      vwm7.dispose();
                      cw.txf7.setText("  aus  ");
                      t7--;           }
                          }
                   }

                   //Strmer 1
                   if(string.equals("Strmer (9)"))
                   { 
                     if( t8 == 0)  {
                      vwm8 = new VisualWorldModel(sl9,"Strmer (9)");
                      cw.txf8.setText("  ein  ");
                      t8++;        }

                     else {
                        if( t8 == 1)  {
                      vwm8.dispose();
                      cw.txf8.setText("  aus  ");
                      t8--;           }
                          }
                    }

                   //Strmer 2
                   if(string.equals("Strmer (10)"))
                   { 
                     if( t9 == 0)  {
                      vwm9 = new VisualWorldModel(sl10,"Strmer (10)");
                      cw.txf9.setText("  ein  ");
                      t9++;        }

                     else {
                        if( t9 == 1)  {
                      vwm9.dispose();
                      cw.txf9.setText("  aus  ");
                      t9--;           }
                          }
                   }

                   //Strmer 3
                   if(string.equals("Strmer (11)"))
                   { 
                     if( t10 == 0)  {
                      vwm10 = new VisualWorldModel(sl11,"Strmer (11)");
                      cw.txf10.setText("  ein  ");
                      t10++;        }

                     else {
                        if( t10 == 1)  {
                      vwm10.dispose();
                      cw.txf10.setText("  aus  ");
                      t10--;           }
                          }
                    }

              }
        }

}